- Qt 6.8
- Qt Graphs
- C++ Classes
- QtGraphs
- QAbstractDataProxy
- Qt Graphs | Commercial or GPLv3

# QAbstractDataProxy Class

The QAbstractDataProxy class is a base class for all 3D graph proxies. More...

Header: | `#include <QAbstractDataProxy>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Graphs)` `target_link_libraries(mytarget PRIVATE Qt6::Graphs)`
qmake: | `QT += graphs`
In QML: | AbstractDataProxy
Inherits: | QObject
Inherited By: | QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy

- List of all members, including inherited members
- QAbstractDataProxy is part of Qt Graphs C++ Classes for 3D.

## Public Types

enum class | DataType { None, Bar, Scatter, Surface }

## Properties

- type : const QAbstractDataProxy::DataType

## Public Functions

virtual | ~QAbstractDataProxy() override
QAbstractDataProxy::DataType | type() const

## Detailed Description

The following graphs type specific inherited classes are used instead of the base class: QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy.

For more information, see Qt Graphs Data Handling with 3D.

## Member Type Documentation

### enum class QAbstractDataProxy::DataType

This enum type specifies the data type of the proxy.

Constant | Value | Description
--- | --- | ---
`QAbstractDataProxy::DataType::None` | `0` | No data type.
`QAbstractDataProxy::DataType::Bar` | `1` | Data type for Q3DBarsWidgetItem.
`QAbstractDataProxy::DataType::Scatter` | `2` | Data type for Q3DScatterWidgetItem.
`QAbstractDataProxy::DataType::Surface` | `3` | Data type for Q3DSurfaceWidgetItem.

## Property Documentation

### `[read-only]` type : const QAbstractDataProxy::DataType

This property holds the data type of the proxy.

Access functions:

QAbstractDataProxy::DataType | type() const

## Member Function Documentation

### `[override virtual noexcept]` QAbstractDataProxy::~QAbstractDataProxy()

Deletes the abstract data proxy.